\documentclass[12pt]{article}
\usepackage[english]{babel}
\usepackage{graphicx}
\usepackage{float}
\usepackage{mathtools}
\usepackage{gensymb}
\usepackage{fancyhdr}
\pagestyle{fancy}

\fancyhead[R]{}
\fancyhead[L]{\rightmark}
 
%\renewcommand{\headrulewidth}{0pt}		

\title{CMSC 6950 Final Project}
\smallskip
\author{
        \textbf{Team 2:}\\
        K. Yamini, K. Kaushlender,\\
        Z. Tareq\\
        \and
}
\smallskip
\date{\textit{June 20, 2019}}

\DeclareMathSizes{12}{18}{12}{12}

% % % % % % % % % % % % % % % % % % % % %

\begin{document}
\maketitle


\begin{abstract}
We conducted an analysis of Black Friday data sets provided by Kaggle to understand customers’ purchase behaviour based on their gender, age, occupation and the region they live in.
\end{abstract}

\smallskip

\tableofcontents

% % % % % % % % % % % % % % % % % % % %
\pagebreak

\section{Motivations}\label{motivations}

The massive growth of the internet on the 21st century has provided companies the opportunity to access a wider range of populations and reach much more people to sell their products and increase their profit. Every year many of these companies participate in big shopping events such as Black Friday, where they make their products available at discounted prices to the consumers.
\bigskip
\par 

Black Friday does not only help companies increase their sells, but also allows them to get to know their target audience, find their best-selling products as well as the regions where they sell the most by analysing consumers’ data generated during this event each year. This provides companies the chance to create target advertisements, include new products or remove existing items from their inventory.

\bigskip
\par 
The aim of our team was to analyse Black Friday datasets provided by Kaggle and draw various insights from them. We wanted to understand customers’ purchase behaviour based on certain parameters such as their gender, age, occupation and the region they live in, to use these findings to improve advertisement campaigns and target the right population and cities.
 
\pagebreak
 

% % % % % % % % % % % % % % % % % % %
\pagebreak

\section{Black Friday dataset insight plot}\label{}
Plots of Black Friday dataset fields to gain an initial understanding of the source and target data fields.

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.95\textwidth]{../Graph/data_insight.png} 
\caption{\scriptsize Black Friday dataset insight plot}
\label{minmax_all}		  
\end{figure}

\section{Correlation matrix}\label{Correlation matrix}
There is a positive correlation between three of the below fields with the target field purchase. An increase in value of any of the below fields is likely a result of a higher purchase  from the customer.

\begin{enumerate}
  \item Occupation
  \item Stay\_In\_Current\_City\_Years
  \item Marital Status
\end{enumerate}

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.95\textwidth]{../Graph/correlation_matrix.png} 
\caption{\scriptsize Correlation matrix to understand predictors that would have high impact on product purchase during Black Friday shopping}
\label{minmax_all}		  
\end{figure}

\pagebreak

\section{Buyers' purchase amount distribution  }\label{Buyers' purchase amount distribution}

The distribution of the amount spent in purchases by the buyers almost followed Gaussian distribution.

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.8\textwidth]{../Graph/purchase_amount_distribution.png} 
\caption{\scriptsize Buyers' purchase amount distribution}
\label{accuGDD_1}		  
\end{figure}
 
 
\section{Consumer behaviours plot}\label{Consumer behaviours plot}
\subsection{Consumer purchase behaviour based on their occupation}
 
\begin{enumerate}
  \item Most of the purchases ranged between USD\$5000 and USD\$10,000.
  \item The occupation type 4 registered the highest purchases, followed by 
  	    occupation types 0 and 7. Insight: From this data, we can draw insights  
  	    that companies can plan to run targeted advertisements around the 
  	    occupation types 4, 0 and 7 to sell their products and increase their 
  	    chances of gaining more profit.
\end{enumerate}

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.95\textwidth]{../Graph/occupation_vs_purchase.png} 
\caption{\scriptsize Consumer purchase behaviour based on their occupation}
\label{minmax_all}		  
\end{figure}


\pagebreak

\subsection{Box Plot: Consumer purchase habits across all occupation types}	

\begin{enumerate}
  
  \item On Black Friday everyone showed almost the same level of interest in 
  	    purchasing and spent around the same amount of money.
  
  \item Among all the occupations, occupation types 12, 15 and 17 did most of 
  	    the purchases, amounting to around USD\$14,000 followed by occupation 
  	    types 7, 8 and 13 whose purchases amounted to almost USD\$13,000.
 
\end{enumerate}

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.8\textwidth]{../Graph/occupation_vs_purchase_box_plot.png} 
\caption{\scriptsize Consumer purchase habits across all occupation types}
\label{accuGDD_1}		  
\end{figure}


\subsection{Box Plot: Consumer purchase behaviour across various categories}
 
  \textbf{Age versus purchase:}  
   
  \textit{Almost all age groups took advantage of the lower prices and spent 
  		 around the same amount of money.}\\
    
  \textbf{Gender versus purchase:}

  \textit{Men showed a little bit more interest than women in spending more 
  		 money on Black Friday. This might have been because of the huge 
  		 discounts on electronic appliances and devices.}\\
   
  
  \textbf{Marital status versus purchase:}

  \textit{Even though single people bought more products on Black Friday than 
  		 married people, there was not a big difference in the purchase amount.  
  		 0 - Single 1 - Married}\\

  \textbf{City versus purchase:}

  \textit{People from city C showed a little bit more interest in shopping on 
  		 Black Friday compared to people from cities A and B.}\\

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.8\textwidth]{../Graph/consumer_behaviour_box.png} 
\caption{\scriptsize Consumer purchase behaviour across various categories}
\label{accuGDD_1}		  
\end{figure}


\subsection{BAR Plot: Consumer purchase behaviour across various categories}
 
  \textbf{Age versus purchase:}  
   
  \textit{Almost all age groups took advantage of the lower prices and spent 
  		 around the same amount of money.}\\
    
  \textbf{Gender versus purchase:}

  \textit{Men showed a little bit more interest than women in spending more 
  		 money on Black Friday. This might have been because of the huge 
  		 discounts on electronic appliances and devices.}\\
   
  
  \textbf{Marital status versus purchase:}

  \textit{Even though single people bought more products on Black Friday than 
  		 married people, there was not a big difference in the purchase amount.  
  		 0 - Single 1 - Married}\\

  \textbf{City versus purchase:}

  \textit{People from city C showed a little bit more interest in shopping on 
  		 Black Friday compared to people from cities A and B.}\\

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.8\textwidth]{../Graph/consumer_behaviour1.png} 
\caption{\scriptsize Consumer purchase behaviour across various categories}
\label{accuGDD_1}		  
\end{figure}

\subsection{Point Plots: Consumer purchase behaviour based on their age and city they live in}
 
  \textbf{Important insights from the below point plots:}\\
  
  \begin{enumerate}
      \item The age group 55 and above was mostly interested in buying products 
      	   from category-1, follow by products from category-2 and category-3.
      	   
      \item The age group between 0 and 17 were not quite active in purchasing.  
      	    Most of them preferred buying products from category-3.
      	   
      \item The age group 55 and above made most of the purchases from city tier 
      	    B. It is probable that city B is more populated compared to the 
      	    other cities.
            
      \item Consumers of all age groups from city tier C did most of the 
            purchases.
            
\end{enumerate}

\begin{figure}[!htbp]
\centering
\includegraphics[width=0.8\textwidth]{../Graph/consumer_behaviour_line.png} 
\caption{\scriptsize Consumer purchase behaviour across various categories}
\label{accuGDD_1}		  
\end{figure}

\pagebreak

\subsection{Pie Plot: Consumer average purchase behaviour based on their age categories}

Consumer average purchase behaviour based on their age categories
\begin{figure}[!htbp]
\centering
\includegraphics[width=0.8\textwidth]{../Graph/Average_Purchases_made_by_Age_group.png} 
\caption{\scriptsize Consumer average purchase behaviour based on their age categories}
\label{accuGDD_1}		  
\end{figure}



% % % % % % % % % % % % % % % % % 

\clearpage

\bibliographystyle{abbrv}
\bibliography{main}

\begin{thebibliography}{2}
\bibitem{GovCan} 
Black Friday | A study of sales trough consumer behaviours
\\\texttt{https://www.kaggle.com/mehdidag/black-friday\#BlackFriday.csv}
\bibitem{GDD MSU} 
Medium | Diogo Menezes Borges
\\\texttt{https://medium.com/diogo-menezes-borges/project-3-analytics-vidhya{/\allowbreak}-hackaton-black-friday-f6c6bf3da86f}

\end{thebibliography}

\end{document}
